Loading...
Searching...
No Matches
etl::message_packet< void, void, void, void, void, void, void, void, void, void, void, void, void, void, void, void > Class Reference

## Public Types

enum | { SIZE = 0U , ALIGNMENT = 1U }
enum |

## Public Member Functions

bool | is_valid () const
message_packet & | operator= (const message_packet &rhs)
etl::imessage & | get () ETL_NOEXCEPT

## Static Public Member Functions

static ETL_CONSTEXPR bool | accepts (etl::message_id_t)
static ETL_CONSTEXPR bool | accepts (const etl::imessage &)
template<etl::message_id_t Id>
static ETL_CONSTEXPR bool | accepts ()
template<typename TMessage>
static ETL_CONSTEXPR etl::enable_if< etl::is_base_of< etl::imessage, TMessage >::value, bool >::type | accepts ()

The documentation for this class was generated from the following file:

- include/etl/message_packet.h